Commit 71711a43 authored by Cool Fire's avatar Cool Fire

Update puppet modules in preparation for Debian 10 upgrade on Lydia

parent f45e1e09
Pipeline #1689 passed with stages
in 11 minutes and 22 seconds
......@@ -7,7 +7,6 @@ mod 'alexharvey-firewall_multi'
mod 'danfoster-sysfs'
mod 'herculesteam-augeasproviders_sysctl'
mod 'KyleAnderson-consul'
mod 'puppet-fail2ban'
mod 'puppet-gitlab_ci_runner'
mod 'puppet-letsencrypt'
mod 'puppet-logrotate'
......@@ -26,11 +25,13 @@ mod 'saz-sudo'
# Modules from git
# Forked to use newer versions
mod 'arioch-redis',
:git => 'https://github.com/cFire/puppet-redis'
:git => 'https://github.com/voxpupuli/puppet-redis'
mod 'puppet-autossh',
:git => "https://github.com/cfire/puppet-autossh.git",
:commit => '6ce3f78'
:git => 'https://github.com/gnubila-france/puppet-autossh.git'
mod 'puppet-fail2ban',
:git => 'https://github.com/nmesstorff/puppet-fail2ban.git',
:commit => 'c0e9c0a'
mod 'lvicainne-opendkim',
:git => 'https://github.com/cFire/puppet-opendkim'
:git => 'https://github.com/lvicainne/puppet-opendkim'
mod 'puppetlabs-docker',
:git => 'https://github.com/cFire/puppetlabs-docker'
:git => 'https://github.com/puppetlabs/puppetlabs-docker'
FORGE
remote: https://forgeapi.puppetlabs.com
specs:
KyleAnderson-consul (5.0.3)
KyleAnderson-consul (5.1.0)
camptocamp-systemd (< 3.0.0, >= 1.1.1)
puppet-archive (< 4.0.0, >= 2.0.0)
puppetlabs-powershell (< 3.0.0, >= 2.1.3)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
alexharvey-firewall_multi (1.14.0)
puppetlabs-firewall (= 2.0.0)
camptocamp-systemd (2.4.0)
camptocamp-systemd (2.6.0)
puppetlabs-inifile (< 4.0.0, >= 1.6.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppetlabs-stdlib (< 7.0.0, >= 4.13.1)
danfoster-sysfs (0.2.0)
puppetlabs-concat (>= 0)
puppetlabs-stdlib (>= 1.0.0)
herculesteam-augeasproviders_core (2.4.0)
puppetlabs-stdlib (< 6.0.0, >= 3.2.0)
herculesteam-augeasproviders_core (2.5.0)
puppetlabs-stdlib (< 7.0.0, >= 3.2.0)
herculesteam-augeasproviders_sysctl (2.3.1)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.4.0)
puppet-archive (3.2.1)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-extlib (3.1.0)
puppetlabs-stdlib (< 6.0.0, >= 4.6.0)
puppet-fail2ban (2.4.1)
puppet-extlib (< 4.0.0, >= 2.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.25.0)
puppet-extlib (4.0.0)
puppetlabs-stdlib (< 7.0.0, >= 4.18.0)
puppet-gitlab_ci_runner (1.0.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.0)
puppet-letsencrypt (4.0.0)
......@@ -34,35 +31,34 @@ FORGE
stahnma-epel (< 2.0.0, >= 1.0.0)
puppet-logrotate (3.4.0)
puppetlabs-stdlib (< 6.0.0, >= 4.22.0)
puppet-nginx (0.16.0)
puppetlabs-concat (< 6.0.0, >= 3.0.0)
puppetlabs-stdlib (< 6.0.0, >= 5.0.0)
puppet-nodejs (7.0.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppet-nginx (1.0.0)
puppetlabs-concat (< 7.0.0, >= 4.1.0)
puppetlabs-stdlib (< 7.0.0, >= 5.0.0)
puppet-nodejs (7.0.1)
puppetlabs-stdlib (< 7.0.0, >= 4.25.0)
puppet-snmp (4.1.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppetlabs-apt (6.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.16.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-concat (5.3.0)
puppetlabs-stdlib (< 6.0.0, >= 4.13.1)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-apt (7.1.0)
puppetlabs-stdlib (< 7.0.0, >= 4.16.0)
puppetlabs-translate (< 3.0.0, >= 1.0.0)
puppetlabs-concat (6.1.0)
puppetlabs-stdlib (< 7.0.0, >= 4.13.1)
puppetlabs-translate (< 3.0.0, >= 1.0.0)
puppetlabs-firewall (2.0.0)
puppetlabs-stdlib (< 7.0.0, >= 4.0.0)
puppetlabs-inifile (2.5.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-mysql (9.0.0)
puppetlabs-mysql (10.1.0)
puppetlabs-stdlib (< 7.0.0, >= 3.2.0)
puppetlabs-translate (< 2.0.0, >= 1.0.0)
puppetlabs-powershell (2.2.0)
puppetlabs-reboot (2.1.2)
puppetlabs-translate (< 3.0.0, >= 1.0.0)
puppetlabs-powershell (2.3.0)
puppetlabs-reboot (2.2.0)
puppetlabs-stdlib (5.2.0)
puppetlabs-tftp (1.0.0)
puppetlabs-xinetd (< 4.0.0, >= 1.1.0)
puppetlabs-translate (1.2.0)
puppetlabs-vcsrepo (2.4.0)
puppetlabs-xinetd (3.2.0)
puppetlabs-stdlib (< 6.0.0, >= 4.6.0)
puppetlabs-xinetd (3.3.0)
saz-resolv_conf (4.1.0)
puppetlabs-stdlib (< 6.0.0, >= 2.6.0)
saz-sudo (6.0.0)
......@@ -71,45 +67,54 @@ FORGE
puppetlabs-stdlib (>= 3.0.0)
GIT
remote: https://github.com/cFire/puppet-opendkim
remote: https://github.com/gnubila-france/puppet-autossh.git
ref: master
sha: c140b192371e23ca3fd93a9d5c37d12d9cebedbe
sha: cec99a6392e067f62c230107d98107e35d40742c
specs:
lvicainne-opendkim (0.2.7)
puppetlabs-stdlib (< 7.0.0, >= 4.13.0)
puppet-autossh (1.2.5)
puppetlabs-concat (>= 1.1.0)
puppetlabs-stdlib (>= 4.3.0)
GIT
remote: https://github.com/cFire/puppet-redis
remote: https://github.com/lvicainne/puppet-opendkim
ref: master
sha: 0295c44121eb5a9b8309a2944252e2e87c890cd1
sha: ba41422f84c7278da44bade0b354eb4cd60f8f40
specs:
arioch-redis (3.3.0)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
herculesteam-augeasproviders_sysctl (< 3.0.0, >= 2.1.0)
puppetlabs-apt (< 7.0.0, >= 2.3.0)
puppetlabs-stdlib (< 7.0.0, >= 1.0.2)
stahnma-epel (< 2.0.0, >= 1.2.2)
lvicainne-opendkim (0.2.9)
puppetlabs-stdlib (< 7.0.0, >= 4.13.0)
GIT
remote: https://github.com/nmesstorff/puppet-fail2ban.git
ref: c0e9c0a
sha: c0e9c0adb24df2d4c61cf05b5b7738b04cdfa903
specs:
puppet-fail2ban (2.4.2-rc0)
puppet-extlib (< 5.0.0, >= 2.3.0)
puppetlabs-stdlib (< 7.0.0, >= 4.25.0)
GIT
remote: https://github.com/cFire/puppetlabs-docker
remote: https://github.com/puppetlabs/puppetlabs-docker
ref: master
sha: 084f48fc558bb82a8528ea34045c8ea730e65d8d
sha: 869748bba4d16354830e03f0a9ee231a43e9435b
specs:
puppetlabs-docker (3.3.0)
puppetlabs-apt (< 7.0.0, >= 4.4.1)
puppetlabs-powershell (<= 2.2.0, >= 2.1.4)
puppetlabs-reboot (<= 2.1.2, >= 2.0.0)
puppetlabs-docker (3.7.0)
puppetlabs-apt (< 8.0.0, >= 4.4.1)
puppetlabs-powershell (< 3.0.0, >= 2.1.4)
puppetlabs-reboot (< 3.0.0, >= 2.0.0)
puppetlabs-stdlib (< 7.0.0, >= 4.24.0)
puppetlabs-translate (< 2.0.0, >= 0.0.1)
puppetlabs-translate (< 3.0.0, >= 0.0.1)
GIT
remote: https://github.com/cfire/puppet-autossh.git
ref: 6ce3f78
sha: 6ce3f78815544ca62becd1d3c116a0d508894977
remote: https://github.com/voxpupuli/puppet-redis
ref: master
sha: 0ba6e0ab6d52a5590ab18d6928495f58aed83ea3
specs:
puppet-autossh (1.2.5)
puppetlabs-concat (>= 1.1.0)
puppetlabs-stdlib (>= 4.3.0)
arioch-redis (4.2.1-rc0)
herculesteam-augeasproviders_core (< 3.0.0, >= 2.1.0)
herculesteam-augeasproviders_sysctl (< 3.0.0, >= 2.1.0)
puppetlabs-apt (< 8.0.0, >= 2.3.0)
puppetlabs-stdlib (< 7.0.0, >= 4.25.0)
stahnma-epel (< 2.0.0, >= 1.2.2)
DEPENDENCIES
KyleAnderson-consul (>= 0)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment